Index: trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030_tr.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030_tr.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_1030_tr.m	(revision 16)
@@ -1,6 +1,6 @@
-%%%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier
-clear
-close all
+%
+
+clear;
+close all;
 
 fid=fopen('olrf10-30_tr.80.dat','r');
@@ -8,7 +8,7 @@
 v=fread(fid,siz,'float');
 fclose(fid);
-olr=reshape(v,360,3538); clear v;
+olr=reshape(v,360,3538);
+clear v;
 
- 
 % calcul de la matrice de covariance
 vaudou=zeros(360,360);
@@ -16,6 +16,6 @@
     for b=1:360;
       clear e d covaria;
-      e=olr(b,:); 
-      d=olr(a,:); 
+      e=olr(b,:);
+      d=olr(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -26,9 +26,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_1030_ircaam_tr.mat');
 save('eof_1030_ircaam_tr.mat','C','L','olr')
Index: trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_30100.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_30100.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_30100.m	(revision 16)
@@ -1,6 +1,6 @@
-%%%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier
-clear
-close all
+%
+
+clear;
+close all;
 
 fid=fopen('olrf30-100.80.dat','r');
@@ -8,5 +8,6 @@
 v=fread(fid,siz,'float');
 fclose(fid);
-olr=reshape(v,360,3538); clear v;
+olr=reshape(v,360,3538);
+clear v;
 
 % calcul de la matrice de covariance
@@ -15,6 +16,6 @@
     for b=1:360;
       clear e d covaria;
-      e=olr(b,:); 
-      d=olr(a,:); 
+      e=olr(b,:);
+      d=olr(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -25,9 +26,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_30100_ircaam.mat');
 save('eof_30100_ircaam.mat','C','L','olr')
Index: trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_30100_as.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_30100_as.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_30100_as.m	(revision 16)
@@ -1,6 +1,6 @@
-%%%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier
-clear
-close all
+%
+
+clear;
+close all;
 
 fid=fopen('olrf30-100_as.80.dat','r');
@@ -8,5 +8,6 @@
 v=fread(fid,siz,'float');
 fclose(fid);
-olr=reshape(v,360,3538); clear v;
+olr=reshape(v,360,3538);
+clear v;
 
 % calcul de la matrice de covariance
@@ -15,6 +16,6 @@
     for b=1:360;
       clear e d covaria;
-      e=olr(b,:); 
-      d=olr(a,:); 
+      e=olr(b,:);
+      d=olr(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -25,9 +26,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_30100_ircaam_as.mat');
 save('eof_30100_ircaam_as.mat','C','L','olr')
Index: trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_30100_ctl.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_30100_ctl.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_30100_ctl.m	(revision 16)
@@ -1,6 +1,6 @@
-%%%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier
-clear
-close all
+%
+
+clear;
+close all;
 
 fid=fopen('olrf30-100_ctl.80.dat','r');
@@ -8,7 +8,7 @@
 v=fread(fid,siz,'float');
 fclose(fid);
-olr=reshape(v,360,3538); clear v;
+olr=reshape(v,360,3538);
+clear v;
 
- 
 % calcul de la matrice de covariance
 vaudou=zeros(360,360);
@@ -16,6 +16,6 @@
     for b=1:360;
       clear e d covaria;
-      e=olr(b,:); 
-      d=olr(a,:); 
+      e=olr(b,:);
+      d=olr(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -26,9 +26,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_30100_ircaam_ctl.mat');
 save('eof_30100_ircaam_ctl.mat','C','L','olr')
Index: trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_30100_tr.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_30100_tr.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/eof_olr_ircaam_30100_tr.m	(revision 16)
@@ -1,6 +1,6 @@
-%%%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier
-clear
-close all
+%
+
+clear;
+close all;
 
 fid=fopen('olrf30-100_tr.80.dat','r');
@@ -8,5 +8,6 @@
 v=fread(fid,siz,'float');
 fclose(fid);
-olr=reshape(v,360,3538); clear v;
+olr=reshape(v,360,3538);
+clear v;
 
 % calcul de la matrice de covariance
@@ -15,6 +16,6 @@
     for b=1:360;
       clear e d covaria;
-      e=olr(b,:); 
-      d=olr(a,:); 
+      e=olr(b,:);
+      d=olr(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -25,9 +26,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_30100_ircaam_tr.mat');
 save('eof_30100_ircaam_tr.mat','C','L','olr')
Index: trunk/src/SIMULS_IRCAAM/eof_olr_noaa_annuel_jas.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/eof_olr_noaa_annuel_jas.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/eof_olr_noaa_annuel_jas.m	(revision 16)
@@ -1,6 +1,6 @@
-%%%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier
-clear
-close all
+%
+
+clear;
+close all;
 
 fid=fopen('olrint.80.dat','r');
@@ -8,6 +8,6 @@
 v=fread(fid,siz,'float');
 fclose(fid);
-olr1=reshape(v,25,17,10500); clear v;
-
+olr1=reshape(v,25,17,10500);
+clear v;
 
 % on selectionne les mois d ete (attention aux annees bixestiles!)
@@ -101,11 +101,11 @@
 clear siz28 siz28bis;
 
-
-
 clear olr1;
 
 olr=reshape(olr,425,92,28);
-olr1=permute(olr,[2 1 3]); clear olr
-olr(:,:)=mean(olr1); clear olr1;
+olr1=permute(olr,[2 1 3]);
+clear olr;
+olr(:,:)=mean(olr1);
+clear olr1;
 
 % calcul de la matrice de covariance
@@ -114,6 +114,6 @@
     for b=1:425;
       clear e d covaria;
-      e=olr(b,:); 
-      d=olr(a,:); 
+      e=olr(b,:);
+      d=olr(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -124,9 +124,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_olr_noaa_annuel_jas_1020.mat');
 save('eof_olr_noaa_annuel_jas_1020.mat','C','L','olr')
Index: trunk/src/SIMULS_IRCAAM/eof_olr_noaa_annuel_jas_1_8.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/eof_olr_noaa_annuel_jas_1_8.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/eof_olr_noaa_annuel_jas_1_8.m	(revision 16)
@@ -1,4 +1,6 @@
-clear
-close all
+%
+
+clear;
+close all;
 
 fid=fopen('olrf1-8_annuel.dat','r');
@@ -6,5 +8,6 @@
 v=fread(fid,siz,'float');
 fclose(fid);
-olr=reshape(v,425,28); clear v;
+olr=reshape(v,425,28);
+clear v;
 
 % calcul de la matrice de covariance
@@ -13,6 +16,6 @@
     for b=1:425;
       clear e d covaria;
-      e=olr(b,:); 
-      d=olr(a,:); 
+      e=olr(b,:);
+      d=olr(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -23,9 +26,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_noaa_annuel_1_8.mat');
 save('eof_noaa_annuel_1_8.mat','C','L','olr')
Index: trunk/src/SIMULS_IRCAAM/eof_olr_noaa_annuel_jas_20.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/eof_olr_noaa_annuel_jas_20.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/eof_olr_noaa_annuel_jas_20.m	(revision 16)
@@ -1,4 +1,4 @@
-%%%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier
+%
+
 clear;
 close all;
@@ -8,5 +8,6 @@
 v=fread(fid,siz,'float');
 fclose(fid);
-olr1=reshape(v,25,17,10500); clear v;
+olr1=reshape(v,25,17,10500);
+clear v;
 
 cd ('/usr/temp/seglod/SIMULS_IRCAAM/');
@@ -102,6 +103,4 @@
 clear siz28 siz28bis;
 
-
-
 clear olr1;
 
@@ -110,6 +109,8 @@
 olr=reshape(olr,325,92,28);
 
-olr1=permute(olr,[2 1 3]); clear olr
-olr(:,:)=mean(olr1); clear olr1;
+olr1=permute(olr,[2 1 3]);
+clear olr;
+olr(:,:)=mean(olr1);
+clear olr1;
 
 % calcul de la matrice de covariance
@@ -118,6 +119,6 @@
     for b=1:325;
       clear e d covaria;
-      e=olr(b,:); 
-      d=olr(a,:); 
+      e=olr(b,:);
+      d=olr(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -128,9 +129,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_olr_noaa_annuel_jas_1020.mat');
 save('eof_olr_noaa_annuel_jas_1020.mat','C','L','olr')
Index: trunk/src/SIMULS_IRCAAM/eof_olr_noaa_annuel_jas_8_28.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/eof_olr_noaa_annuel_jas_8_28.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/eof_olr_noaa_annuel_jas_8_28.m	(revision 16)
@@ -1,4 +1,6 @@
-clear
-close all
+%
+
+clear;
+close all;
 
 fid=fopen('olrf8-28_annuel.dat','r');
@@ -6,5 +8,6 @@
 v=fread(fid,siz,'float');
 fclose(fid);
-olr=reshape(v,425,28); clear v;
+olr=reshape(v,425,28);
+clear v;
 
 % calcul de la matrice de covariance
@@ -13,6 +16,6 @@
     for b=1:425;
       clear e d covaria;
-      e=olr(b,:); 
-      d=olr(a,:); 
+      e=olr(b,:);
+      d=olr(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -23,9 +26,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_noaa_annuel_8_28.mat');
 save('eof_noaa_annuel_8_28.mat','C','L','olr')
Index: trunk/src/SIMULS_IRCAAM/palette.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/palette.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/palette.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 palette2=zeros(20,3);
 palette2(20,:)= [0.2 0 0];          % noir
Index: trunk/src/SIMULS_IRCAAM/palette1.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/palette1.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/palette1.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 palette2=zeros(20,3);
 palette2(20,:)= [0.2 0 0];          % noir
Index: trunk/src/SIMULS_IRCAAM/palettecomplet.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/palettecomplet.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/palettecomplet.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 palette2=zeros(20,3);
 palette2(20,:)= [0.2 0 0];          % noir
Index: trunk/src/SIMULS_IRCAAM/prepare_hgt500_tr.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/prepare_hgt500_tr.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/prepare_hgt500_tr.m	(revision 16)
@@ -1,5 +1,7 @@
+%
+
 % initialisation
-clear; close all;
-% 122     9    64   128
+clear;
+close all;
 
 cd('GEOPOT_TROP');
@@ -125,6 +127,2 @@
 cd('..');
 save hgt500_trop.mat hgt500;
-
-
-
-
Index: trunk/src/SIMULS_IRCAAM/prepare_olr_AFR_annuel.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/prepare_olr_AFR_annuel.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/prepare_olr_AFR_annuel.m	(revision 16)
@@ -1,2 +1,3 @@
+%
 
 % ncload('rlut_d.AfNQIVIV.197106-09.nc')
@@ -4,9 +5,9 @@
 % Name        Size                  Bytes  Class     Attributes
 %
-% ans         1x4                     268  cell                
-% lat        64x1                     512  double              
-% lon       128x1                    1024  double              
-% rlut      122x64x128            7995392  double              
-% time      122x1                     976  double              
+% ans         1x4                     268  cell
+% lat        64x1                     512  double
+% lon       128x1                    1024  double
+% rlut      122x64x128            7995392  double
+% time      122x1                     976  double
 %
 
@@ -15,5 +16,4 @@
 
 olr=zeros(122,30,64,128);
-
 
 ncload('rlut_d.AfNQIVIV.197106-09.nc','rlut');
@@ -111,6 +111,7 @@
 olr1(:,:,:,1:64)=olr(:,:,:,65:128);
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
-clear olr
-olr=olr1; clear olr1;
+clear olr;
+olr=olr1;
+clear olr1;
 olr=olr(:,:,29:43,54:77);
 taille=(43-29+1)*(77-54+1);
@@ -118,7 +119,9 @@
 % taille de OLR
 % 122 28 14 24
- olr=olr(31:122,:,:,:);
-olr1(:,:,:)=mean(olr); clear olr;
-olr=permute(olr1,[3 2 1]); clear olr1;
+olr=olr(31:122,:,:,:);
+olr1(:,:,:)=mean(olr);
+clear olr;
+olr=permute(olr1,[3 2 1]);
+clear olr1;
 olr=reshape(olr,360,30);
 for a=1:360;
@@ -130,6 +133,4 @@
 end
 
-
-
 % calcul de la matrice de covariance
 vaudou=zeros(360,360);
@@ -137,6 +138,6 @@
     for b=1:360;
       clear e d covaria;
-      e=olr(b,:); 
-      d=olr(a,:); 
+      e=olr(b,:);
+      d=olr(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -147,9 +148,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_annuel_AFR.mat');
 save('eof_annuel_AFR.mat','C','L','olr')
Index: trunk/src/SIMULS_IRCAAM/prepare_olr_filtre.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/prepare_olr_filtre.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/prepare_olr_filtre.m	(revision 16)
@@ -1,5 +1,7 @@
+%
 
 % initialisation
-clear; close all;
+clear;
+close all;
 
 fid=fopen('olrint.80.dat','r');
@@ -7,6 +9,6 @@
 v=fread(fid,siz,'float');
 fclose(fid);
-olr1=reshape(v,25,17,10500); clear v;
-
+olr1=reshape(v,25,17,10500);
+clear v;
 
 % on selectionne les mois d ete (attention aux annees bixestiles!)
@@ -100,11 +102,11 @@
 clear siz28 siz28bis;
 
-
-
 clear olr1;
 
 olr=reshape(olr,425,92,28);
-olr1=permute(olr,[2 1 3]); clear olr
-olr(:,:)=mean(olr1); clear olr1;
+olr1=permute(olr,[2 1 3]);
+clear olr;
+olr(:,:)=mean(olr1);
+clear olr1;
 %olr=reshape(olr,25,17,28);
 % size olr : 425 28
Index: trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_AFR.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_AFR.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_AFR.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 % ce programme prepare les fichiers d'OLR de simulations IRCAAM CNRM
 % pour le programme de filtrage
@@ -5,9 +7,9 @@
 % Name        Size                  Bytes  Class     Attributes
 %
-% ans         1x4                     268  cell                
-% lat        64x1                     512  double              
-% lon       128x1                    1024  double              
-% rlut      122x64x128            7995392  double              
-% time      122x1                     976  double              
+% ans         1x4                     268  cell
+% lat        64x1                     512  double
+% lon       128x1                    1024  double
+% rlut      122x64x128            7995392  double
+% time      122x1                     976  double
 %
 
@@ -16,5 +18,4 @@
 
 olr=zeros(122,29,64,128);
-
 
 ncload('rlut_d.AfNQIVIV.197106-09.nc','rlut');
@@ -110,10 +111,11 @@
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
 clear olr
-olr=olr1; clear olr1;
+olr=olr1;
+clear olr1;
 olr=olr(:,:,29:43,54:77);
 taille=(43-29+1)*(77-54+1);
 tps=122*29;
 % taille de OLR
-% 122 28 14 24 
+% 122 28 14 24
 olr=reshape(olr,3538,15,24);
 olr=permute(olr,[3 2 1]);
Index: trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_AS.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_AS.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_AS.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 % ce programme prepare les fichiers d'OLR de simulations IRCAAM CNRM
 % pour le programme de filtrage
@@ -5,9 +7,9 @@
 % Name        Size                  Bytes  Class     Attributes
 %
-% ans         1x4                     268  cell                
-% lat        64x1                     512  double              
-% lon       128x1                    1024  double              
-% rlut      122x64x128            7995392  double              
-% time      122x1                     976  double              
+% ans         1x4                     268  cell
+% lat        64x1                     512  double
+% lon       128x1                    1024  double
+% rlut      122x64x128            7995392  double
+% time      122x1                     976  double
 %
 
@@ -111,10 +113,11 @@
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
 clear olr;
-olr=olr1; clear olr1;
+olr=olr1;
+clear olr1;
 olr=olr(:,:,29:43,54:77);
 taille=(43-29+1)*(77-54+1);
 tps=122*29;
 % taille de OLR
-% 122 28 14 24 
+% 122 28 14 24
 olr=reshape(olr,3538,15,24);
 olr=permute(olr,[3 2 1]);
Index: trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_CTL.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_CTL.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_CTL.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 % ce programme prepare les fichiers d'OLR de simulations IRCAAM CNRM
 % pour le programme de filtrage
@@ -5,9 +7,9 @@
 % Name        Size                  Bytes  Class     Attributes
 %
-% ans         1x4                     268  cell                
-% lat        64x1                     512  double              
-% lon       128x1                    1024  double              
-% rlut      122x64x128            7995392  double              
-% time      122x1                     976  double              
+% ans         1x4                     268  cell
+% lat        64x1                     512  double
+% lon       128x1                    1024  double
+% rlut      122x64x128            7995392  double
+% time      122x1                     976  double
 %
 
@@ -111,10 +113,11 @@
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
 clear olr
-olr=olr1; clear olr1;
+olr=olr1;
+clear olr1;
 olr=olr(:,:,29:43,54:77);
 taille=(43-29+1)*(77-54+1);
 tps=122*29;
 % taille de OLR
-% 122 28 14 24 
+% 122 28 14 24
 olr=reshape(olr,3538,15,24);
 olr=permute(olr,[3 2 1]);
Index: trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_CTL_clim.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_CTL_clim.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_CTL_clim.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 % ce programme prepare les fichiers d'OLR de simulations IRCAAM CNRM
 % pour le programme de filtrage
@@ -5,9 +7,9 @@
 % Name        Size                  Bytes  Class     Attributes
 %
-% ans         1x4                     268  cell                
-% lat        64x1                     512  double              
-% lon       128x1                    1024  double              
-% rlut      122x64x128            7995392  double              
-% time      122x1                     976  double              
+% ans         1x4                     268  cell
+% lat        64x1                     512  double
+% lon       128x1                    1024  double
+% rlut      122x64x128            7995392  double
+% time      122x1                     976  double
 %
 
@@ -111,10 +113,11 @@
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
 clear olr
-olr=olr1; clear olr1;
+olr=olr1;
+clear olr1;
 olr=olr(:,:,29:43,54:77);
 taille=(43-29+1)*(77-54+1);
 tps=122*29;
 % taille de OLR
-% 122 28 14 24 
+% 122 28 14 24
 olr=reshape(olr,3538,15,24);
 olr=permute(olr,[3 2 1]);
Index: trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_TR.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_TR.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/prepare_olr_filtre_TR.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 % ce programme prepare les fichiers d'OLR de simulations IRCAAM CNRM
 % pour le programme de filtrage
@@ -4,9 +6,9 @@
 % Name        Size                  Bytes  Class     Attributes
 %
-% ans         1x4                     268  cell                
-% lat        64x1                     512  double              
-% lon       128x1                    1024  double              
-% rlut      122x64x128            7995392  double              
-% time      122x1                     976  double              
+% ans         1x4                     268  cell
+% lat        64x1                     512  double
+% lon       128x1                    1024  double
+% rlut      122x64x128            7995392  double
+% time      122x1                     976  double
 %
 
@@ -110,10 +112,11 @@
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
 clear olr;
-olr=olr1; clear olr1;
+olr=olr1;
+clear olr1;
 olr=olr(:,:,29:43,54:77);
 taille=(43-29+1)*(77-54+1);
 tps=122*29;
 % taille de OLR
-% 122 28 14 24 
+% 122 28 14 24
 olr=reshape(olr,3538,15,24);
 olr=permute(olr,[3 2 1]);
Index: trunk/src/SIMULS_IRCAAM/prepare_pluie_AFR_annuel.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/prepare_pluie_AFR_annuel.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/prepare_pluie_AFR_annuel.m	(revision 16)
@@ -1,2 +1,3 @@
+%
 
 % ncload('pr_d.AfNQIVIV.197106-09.nc')
@@ -4,9 +5,9 @@
 % Name        Size                  Bytes  Class     Attributes
 %
-% ans         1x4                     268  cell                
-% lat        64x1                     512  double              
-% lon       128x1                    1024  double              
-% pr      122x64x128            7995392  double              
-% time      122x1                     976  double              
+% ans         1x4                     268  cell
+% lat        64x1                     512  double
+% lon       128x1                    1024  double
+% pr      122x64x128            7995392  double
+% time      122x1                     976  double
 %
 
@@ -112,5 +113,6 @@
 pluie1(:,:,:,65:128)=pluie(:,:,:,1:64);
 clear pluie
-pluie=pluie1; clear pluie1;
+pluie=pluie1;
+clear pluie1;
 pluie=pluie(:,:,29:43,54:77);
 taille=(43-29+1)*(77-54+1);
@@ -118,7 +120,9 @@
 % taille de PLUIE
 % 122 28 14 24
- pluie=pluie(31:122,:,:,:);
-pluie1(:,:,:)=mean(pluie); clear pluie;
-pluie=permute(pluie1,[3 2 1]); clear pluie1;
+pluie=pluie(31:122,:,:,:);
+pluie1(:,:,:)=mean(pluie);
+clear pluie;
+pluie=permute(pluie1,[3 2 1]);
+clear pluie1;
 pluie=reshape(pluie,360,30);
 for a=1:360;
@@ -137,6 +141,6 @@
     for b=1:360;
       clear e d covaria;
-      e=pluie(b,:); 
-      d=pluie(a,:); 
+      e=pluie(b,:);
+      d=pluie(a,:);
       covaria=cov(e,d);
       vaudou(a,b)=covaria(2,1);
@@ -147,9 +151,4 @@
 [C,L]=eig(vaudou);
 
-% spatialisation du premier mode
-
-
-% serie temporelle de la premiere vP
-
 delete('eof_pluie_annuel_AFR.mat');
 save('eof_pluie_annuel_AFR.mat','C','L','pluie');
Index: trunk/src/SIMULS_IRCAAM/time_serie_afr_1030.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/time_serie_afr_1030.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/time_serie_afr_1030.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 clear;
 close all;
@@ -26,16 +28,20 @@
 for a=1:29;
    if a<12;
-      figure(1); subplot(4,3,a);
+      figure(1);
+      subplot(4,3,a);
    elseif a<23;
-      figure(2); subplot(4,3,a-11);
+      figure(2);
+      subplot(4,3,a-11);
    else
-      figure(3); subplot(4,3,a-22);
+      figure(3);
+      subplot(4,3,a-22);
    end
-   clear koro1 
+   clear koro1
    debut=(a-1)*122+1;
    fin=a*122;
    koro1=time_serie_olr1(debut:fin);
    koro2=time_serie_olr2(debut:fin);
-   clear x; x=[1:122]';
+   clear x;
+   x=[1:122]';
    plot(x,koro1,'r');
    hold on
@@ -53,5 +59,5 @@
    set (gca,'tickDir','out');
    axis([1 122 -3 3]);
-   
+
 
    set (gca,'YTick',[-3:1:3],'YTickLabel',[-3:1:3],'fontname','Arial','fontsize',6);
@@ -59,6 +65,8 @@
 end;
 
-figure(1); print -depsc2 time_serie_eof_afr_1030a.eps;
-figure(2); print -depsc2 time_serie_eof_afr_1030b.eps;
-figure(3); print -depsc2 time_serie_eof_afr_1030c.eps;
-
+figure(1);
+print -depsc2 time_serie_eof_afr_1030a.eps;
+figure(2);
+print -depsc2 time_serie_eof_afr_1030b.eps;
+figure(3);
+print -depsc2 time_serie_eof_afr_1030c.eps;
Index: trunk/src/SIMULS_IRCAAM/time_serie_afr_30100.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/time_serie_afr_30100.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/time_serie_afr_30100.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 clear;
 
@@ -4,5 +6,4 @@
 olr=olr';
 PC1=olr*C;
-
 
 %%%%%%% cronique de la VP1
@@ -25,16 +26,20 @@
 for a=1:29;
    if a<12;
-      figure(1); subplot(4,3,a);
+      figure(1);
+      subplot(4,3,a);
    elseif a<23;
-      figure(2); subplot(4,3,a-11);
+      figure(2);
+      subplot(4,3,a-11);
    else
-      figure(3); subplot(4,3,a-22);
+      figure(3);
+      subplot(4,3,a-22);
    end
-   clear koro1 
+   clear koro1
    debut=(a-1)*122+1;
    fin=a*122;
    koro1=time_serie_olr1(debut:fin);
    koro2=time_serie_olr2(debut:fin);
-   clear x; x=[1:122]';
+   clear x;
+   x=[1:122]';
    plot(x,koro1,'r');
    hold on
@@ -52,5 +57,5 @@
    set (gca,'tickDir','out');
    axis([1 122 -3 3]);
-   
+
 
    set (gca,'YTick',[-3:1:3],'YTickLabel',[-3:1:3],'fontname','Arial','fontsize',6);
@@ -58,6 +63,8 @@
 end;
 
-figure(1); print -depsc2 time_serie_eof_afr_30100a.eps;
-figure(2); print -depsc2 time_serie_eof_afr_30100b.eps;
-figure(3); print -depsc2 time_serie_eof_afr_30100c.eps;
-
+figure(1);
+print -depsc2 time_serie_eof_afr_30100a.eps;
+figure(2);
+print -depsc2 time_serie_eof_afr_30100b.eps;
+figure(3);
+print -depsc2 time_serie_eof_afr_30100c.eps;
Index: trunk/src/SIMULS_IRCAAM/time_serie_as_1030.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/time_serie_as_1030.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/time_serie_as_1030.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 clear;
 close all;
@@ -27,16 +29,20 @@
 for a=1:29;
    if a<12;
-      figure(1); subplot(4,3,a);
+      figure(1);
+      subplot(4,3,a);
    elseif a<23;
-      figure(2); subplot(4,3,a-11);
+      figure(2);
+      subplot(4,3,a-11);
    else
-      figure(3); subplot(4,3,a-22);
+      figure(3);
+      subplot(4,3,a-22);
    end
-   clear koro1 
+   clear koro1;
    debut=(a-1)*122+1;
    fin=a*122;
    koro1=time_serie_olr1(debut:fin);
    koro2=time_serie_olr2(debut:fin);
-   clear x; x=[1:122]';
+   clear x;
+   x=[1:122]';
    plot(x,koro1,'r');
    hold on
@@ -54,5 +60,5 @@
    set (gca,'tickDir','out');
    axis([1 122 -3 3]);
-   
+
 
    set (gca,'YTick',[-3:1:3],'YTickLabel',[-3:1:3],'fontname','Arial','fontsize',6);
@@ -60,6 +66,8 @@
 end;
 
-figure(1); print -depsc2 time_serie_eof_as_1030a.eps;
-figure(2); print -depsc2 time_serie_eof_as_1030b.eps;
-figure(3); print -depsc2 time_serie_eof_as_1030c.eps;
-
+figure(1);
+print -depsc2 time_serie_eof_as_1030a.eps;
+figure(2);
+print -depsc2 time_serie_eof_as_1030b.eps;
+figure(3);
+print -depsc2 time_serie_eof_as_1030c.eps;
Index: trunk/src/SIMULS_IRCAAM/time_serie_as_30100.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/time_serie_as_30100.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/time_serie_as_30100.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 clear;
 close all;
@@ -27,16 +29,20 @@
 for a=1:29;
    if a<12;
-      figure(1); subplot(4,3,a);
+      figure(1);
+      subplot(4,3,a);
    elseif a<23;
-      figure(2); subplot(4,3,a-11);
+      figure(2);
+      subplot(4,3,a-11);
    else
-      figure(3); subplot(4,3,a-22);
+      figure(3);
+      subplot(4,3,a-22);
    end
-   clear koro1 
+   clear koro1
    debut=(a-1)*122+1;
    fin=a*122;
    koro1=time_serie_olr1(debut:fin);
    koro2=time_serie_olr2(debut:fin);
-   clear x; x=[1:122]';
+   clear x;
+   x=[1:122]';
    plot(x,koro1,'r');
    hold on
@@ -54,5 +60,5 @@
    set (gca,'tickDir','out');
    axis([1 122 -3 3]);
-   
+
 
    set (gca,'YTick',[-3:1:3],'YTickLabel',[-3:1:3],'fontname','Arial','fontsize',6);
@@ -60,6 +66,8 @@
 end;
 
-figure(1); print -depsc2 time_serie_eof_as_30100a.eps;
-figure(2); print -depsc2 time_serie_eof_as_30100b.eps;
-figure(3); print -depsc2 time_serie_eof_as_30100c.eps;
-
+figure(1);
+print -depsc2 time_serie_eof_as_30100a.eps;
+figure(2);
+print -depsc2 time_serie_eof_as_30100b.eps;
+figure(3);
+print -depsc2 time_serie_eof_as_30100c.eps;
Index: trunk/src/SIMULS_IRCAAM/time_serie_ctl_1030.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/time_serie_ctl_1030.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/time_serie_ctl_1030.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 clear;
 close all;
@@ -26,16 +28,20 @@
 for a=1:29;
    if a<12;
-      figure(1); subplot(4,3,a);
+      figure(1);
+      subplot(4,3,a);
    elseif a<23;
-      figure(2); subplot(4,3,a-11);
+      figure(2);
+      subplot(4,3,a-11);
    else
-      figure(3); subplot(4,3,a-22);
+      figure(3);
+      subplot(4,3,a-22);
    end
-   clear koro1 
+   clear koro1
    debut=(a-1)*122+1;
    fin=a*122;
    koro1=time_serie_olr1(debut:fin);
    koro2=time_serie_olr2(debut:fin);
-   clear x; x=[1:122]';
+   clear x;
+   x=[1:122]';
    plot(x,koro1,'r');
    hold on
@@ -53,5 +59,5 @@
    set (gca,'tickDir','out');
    axis([1 122 -3 3]);
-   
+
 
    set (gca,'YTick',[-3:1:3],'YTickLabel',[-3:1:3],'fontname','Arial','fontsize',6);
@@ -59,6 +65,8 @@
 end;
 
-figure(1); print -depsc2 time_serie_eof_ctl_1030a.eps;
-figure(2); print -depsc2 time_serie_eof_ctl_1030b.eps;
-figure(3); print -depsc2 time_serie_eof_ctl_1030c.eps;
-
+figure(1);
+print -depsc2 time_serie_eof_ctl_1030a.eps;
+figure(2);
+print -depsc2 time_serie_eof_ctl_1030b.eps;
+figure(3);
+print -depsc2 time_serie_eof_ctl_1030c.eps;
Index: trunk/src/SIMULS_IRCAAM/time_serie_ctl_30100.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/time_serie_ctl_30100.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/time_serie_ctl_30100.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 clear;
 close all;
@@ -26,16 +28,20 @@
 for a=1:29;
    if a<12;
-      figure(1); subplot(4,3,a);
+      figure(1);
+      subplot(4,3,a);
    elseif a<23;
-      figure(2); subplot(4,3,a-11);
+      figure(2);
+      subplot(4,3,a-11);
    else
-      figure(3); subplot(4,3,a-22);
+      figure(3);
+      subplot(4,3,a-22);
    end
-   clear koro1 
+   clear koro1
    debut=(a-1)*122+1;
    fin=a*122;
    koro1=time_serie_olr1(debut:fin);
    koro2=time_serie_olr2(debut:fin);
-   clear x; x=[1:122]';
+   clear x;
+   x=[1:122]';
    plot(x,koro1,'r');
    hold on
@@ -53,5 +59,5 @@
    set (gca,'tickDir','out');
    axis([1 122 -3 3]);
-   
+
 
    set (gca,'YTick',[-3:1:3],'YTickLabel',[-3:1:3],'fontname','Arial','fontsize',6);
@@ -59,6 +65,8 @@
 end;
 
-figure(1); print -depsc2 time_serie_eof_ctl_30100a.eps;
-figure(2); print -depsc2 time_serie_eof_ctl_30100b.eps;
-figure(3); print -depsc2 time_serie_eof_ctl_30100c.eps;
-
+figure(1);
+print -depsc2 time_serie_eof_ctl_30100a.eps;
+figure(2);
+print -depsc2 time_serie_eof_ctl_30100b.eps;
+figure(3);
+print -depsc2 time_serie_eof_ctl_30100c.eps;
Index: trunk/src/SIMULS_IRCAAM/time_serie_noaa_annuel.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/time_serie_noaa_annuel.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/time_serie_noaa_annuel.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 clear;
 close all;
@@ -38,5 +40,6 @@
 koro3=time_serie_olr3;
 
-clear x; x=[1979:2006]';
+clear x;
+x=[1979:2006]';
 aa=plot(x,-koro1,'r');
 hold on
@@ -54,3 +57,2 @@
 set (gca,'tickDir','out');
 print -depsc2 time_serie_eof_noaa_annuel.eps;
-
Index: trunk/src/SIMULS_IRCAAM/time_serie_noaa_annuel_20.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/time_serie_noaa_annuel_20.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/time_serie_noaa_annuel_20.m	(revision 16)
@@ -1,2 +1,3 @@
+%
 clear;
 close all;
@@ -37,5 +38,6 @@
 koro3=time_serie_olr3;
 
-clear x; x=[1979:2006]';
+clear x;
+x=[1979:2006]';
 aa=plot(x,-koro1,'r');
 hold on
@@ -53,3 +55,2 @@
 set (gca,'tickDir','out');
 print -depsc2 time_serie_eof_noaa_annuel_20.eps;
-
